
#Tiles
%patchfile 0x130F8 tli.tli

#Keen 1 background tiles behave like Keen 3
%patch $4409      $26 $8B $07 $B6 $0D $F6 $FE 
%patch $4410  $F6 $EE $26 $89 $07 $E9 $60 $01 

%patch $4482  $E9 $74 $FF 
%patch $44BA  $E9 $3C $FF 
%patch $4513  $E9 $E3 $FE 

%patch $28EC                  $26 $8B $07 $B6 
%patch $28F0  $0D $F6 $FE $F6 $EE $26 $89 $07 
%patch $28F8  $03 $1E $08 $6C $03 $1E $08 $6C 
%patch $2900  $26 $89 $07 $90 $90 $90 $90 $90 

#Pogo doesn't fly with Godmode
%patch $3F4E  $EB

#Bullets Keen has @ start
%patch $9008  $0A $00

######high score mods#######
# Show the score with white background
%patch $99FA   $E8 $D5 $C8        # CALL    62D2
# Show the name with white background
%patch $9A10   $E8 $BF $C8        # CALL    62D2

####Start mods###########
#TITLE POSITION
%patch $97B2   $00 $00     # Y location, in pixels 
%patch $97B6   $04 $00     # (X location in pixels) / 8 + 4 
#change 1BMP0010 x coordinate - 44
%patch  $A1E0 $04 $00 #x-coordinate*8 
%patch  $A20C $04 $00 #x-coordinate*8 
#stop Apogee sign rising
%patch  $A1E3 $90
# production v pos
%patch  $A253 $10
#h pos
%patch  $A257 $04
#Production sprite
%patch  $A24F $0A
#apogee h pos
%patch  $A20C $04 $00
#Apogee sprite
%patch  $A204 $01

###Palette mods###
#change border colour values are: $ 01 00 02 to 07 38 to 3F
# All these should have the same value -- this is the usual border color 
%patch $4A62   $13 
%patch $6F9D   $03 
%patch $15568  $01 
%patch $15579  $11 
%patch $1558A  $03 
%patch $1559B  $13 
# The two colors that the border flashes when a Vorticon dies 
%patch $4A7D $02 
%patch $4A85 $12

# Disable the "no-clipping" on the map with GOD mode 
#%patch $A626  $EB 

#Robot can't shoot 
%patch $200F $90 

# Change the controls to: Space, shoot; Enter, status. 
%patch $1251  $48 
%patch $7FA3  $48 
%patch $3B23  $90 $90 $90 $90 $90 $90 $90 $80 $3E $65 $50 $00 
%patch $3C4E  $90 $90 $90 $90 $90 $90 $90 $80 $3E $65 $50 $00 
%patch $3DB9  $90 $90 $90 $90 $90 $90 $90 $80 $3E $65 $50 $00 
%patch $3DCC  $90 $90 
%patch $3E6D  $90 $90 $90 $90 $90 $90 $90 $80 $3E $65 $50 $00 
%patch $3FFC  $90 $90 $90 $90 $90 $90 $90 $80 $3E $65 $50 $00 
%patch $40AA  $90 $90 $90 $90 $90 $90 $90 $80 $3E $65 $50 $00 

# Change the teleporter so it works within the level 
%patch $8919                           $89 $F0 $F7 $2E $08 $6C $01 
   $F8 $D1 $E0 $C4 $1E $4C $6C $01 $C3 $26 $8B $17 $B1 $04 $31 $C0 
   $A3 $DE $6E $A3 $E0 $6E $A3 $E2 $6E $A3 $E4 $6E $88 $F0 $98 $01 
   $F0 $D3 $E0 $A3 $E3 $6E $88 $D0 $98 $01 $F8 $D3 $E0 $A3 $DF $6E 
   $8B $16 $DE $6E $A1 $E0 $6E $81 $C2 $00 $70 $15 $FF $FF $89 $16 
   $D0 $6E $A3 $D2 $6E $8B $16 $E2 $6E $A1 $E4 $6E $81 $C2 $00 $B0 
   $15 $FF $FF $89 $16 $D4 $6E $A3 $D6 $6E $C3 
%patch $4572  $E8 $A4 $43 $EB $13 $90 
# Keen sprite - will be shown at pixel coords 160, 64 on screen 
%patch $81F1 $28 # This is sprite $28 = 40 (Map keen facing left) 

# This is the color palette: 16 entries of r, g, b (each 0-63) 
%patch $13054 
       00 00 00 # black 
       00 00 22 # blue 
       00 22 00 # green 
       00 22 22 # cyan 
       22 00 00 # red 
       22 14 06 # magenta now this is dark orangy grey
       27 06 00 # brown 
       32 33 32 # bright gray 
       15 13 15 # gray 
       08 08 49 # bright blue 
       08 49 08 # bright green 
       08 50 49 # bright cyan 
       49 08 08 # bright red 
       60 30 00 # pink now this is orange
       50 49 08 # yellow 
       58 63 63 # white 
# Set the palette when we go into graphics mode 
%patch $6E46  $E8 $D3 $D5 $90 $90 
# Code to set graphics mode and set the palette 
%patch $441C                  $B8 $0D $00 $CD 
              $10 $B8 $12 $10 $B9 $08 $00 $BB 
              $00 $00 $8C $DA $8E $C2 $BA $04 
              $00 $CD $10 $BB $18 $00 $BA $1C 
              $00 $CD $10 $C3 


#pogo patch start of game
%patch $900E  $01 $00

#Change lightswitch tile 
%patch $36D6 $0E $01 

# Switch tiles change to the next in the tileset when flipped 
# Doesn't affect lightswitch 
%patch $36D5 $05 $01 $00 $26 $89 $07 $90 $90 $90 $90 $90 $90 $90 $90 $90

#Exit tiles don't change.
%patch $412E $00
#Keen dissappears as soon as he touches the exit; pause before exiting level
%patch $41CD $90

# Keen does not lose ship parts on dying in their levels. 
%patch 0x4F82 $90 $90 $90 $90 $90 $90 #Joystick
%patch 0x4F8A $90 $90 $90 $90 $90 $90 #Battery
%patch 0x4F92 $90 $90 $90 $90 $90 $90 #Vacum
%patch 0x4F9A $90 $90 $90 $90 $90 $90 #everclear

#Disable map clipping when imortal
%patch $A626  $EB 

#Show only 6 names in Keenest
%patch $9A18   $06 

#God Cheat Code- LEV
%patch 0x0120D 0x5052
%patch 0x01214 0x503E
%patch 0x0121B 0x505B
#Text
%patch 0x01500A "INVINCIBILITY!!!"
%patch 0x01501B "Possible death!!!"

#CTSpace Cheat Code - BEN
%patch 0x011F5 0x505C
%patch 0x011FC 0x503E
%patch 0x01203 0x505D
#Text
%patch 0x014DEE "Resorting to cheating"
%patch 0x014E05 "how absolutely pathetic!  "
%patch 0x014E21 "REAL players don't use"
%patch 0x014E39 "cheats you slime mould! "


##
#Patch teh yorps!
##

#unstunnable yorps
%patch $188B $01 $00
# yorp movement- left speeds = $FF $FF MINUS desired speed
%patch $18D4 $DF $FF # [si+20] left speed
%patch $18CD $20 $00 # [si+20] right speed
%patch $19C2 $DF $FF # [si+20] left speed
%patch $19CE $20 $00 # [si+20] right speed
%patch $1964 $02 $00 # [si+22] yorps jump higher when this is higher
%patch $1A1C $DF $FF # [si+20] left speed
%patch $1A14 $20 $00 # [si+20] right speed


##
#Teh icecubes are warped!
##

#Ice cannon shoot rate
%patch $2058 $09
# Make big ice blocks kill Keen. 
%patch $20D6 $03 $00 
#Destructable iceblocks [2 coliding destroy each other]
%patch $213E $00 $4A 
#BIG icecubes speeds; only 2 can move in 2 dimensions
#Ur icecube up speed
%patch $2110 $FF $FF
#Ur icecube right speed
%patch $2115 $40 $00
#U icecube up speed
%patch $211C $BF $FF
#D icecube down speed
%patch $2128 $40 $00
#Ul icecube up speed
%patch $2134 $FF $FF
#Ul icecube left speed
%patch $2139 $BF $FF
#up right icecubette
%patch $21EB $00 #Cubette doesn't appear
%patch $221F $75 $00 #Sprite used
#Down left icecubette
%patch $2227 $00 #Cubette doesn't appear
%patch $225B $75 $00 #Sprite used
#Up left icecubette
%patch $2263 $00 #Cubette doesn't appear
%patch $2297 $75 $00 #Sprite used
#down right icecubette
%patch $21B0 $03 $00 #Sprite property [hurts]
%patch $21D9 $00 $00 #Speed right
%patch $21DE $2C $01 #Speed down

#Butler bot destructable, spawns a shot yorp 
%patch $17C8 $C7 $44 $34 $68 $1A
#Butler bot kills
%patch $1782  $03 $00
#Butler bot speed
%patch $17A5  $90 $00

#Robot destructable, spawns death yorp 
%patch $176A $C7 $44 $34 $6E $1D


###
#Gaaarrg!
###

#Gargs anywhere will charge toward Keen after looking around 
#[Don't check if Garg can see Keen before charging] 
%patch $1B93 $90 $90 $90 $90 $90 $90 
#Gargs don't look around [But may turn around suddenly and chase Keen] 
%patch $1B6C  $00 

###
#And now we fiddle the Vorticon!
###

# dead vort turns into yorp
%patch $1D8D $90 $90 $90 $90 $90 $90 $90 $90 $90
%patch $1DAF $90 $90 $90 $90 $90 $90 $90 $90 $90 $90
             $90 $90 $90 $90 $90 $90 $90 $90 $90 $90
%patch $1DAD $4F $19
%patch $1DA8 $68 $1A
%patch $1DA3 $30 $00
%patch $1D98 $00 $02 $00

###
#Falling block
###

#Change the block tiles
%patch $23CD $38 $01 #top l corner
%patch $2436 $55 $01 #top middle
%patch $24B6 $56 $01 #top r corner
%patch $23EF $57 $01 #bottom l corner
%patch $2458 $58 $01 #bottom middle
%patch $24D8 $59 $01 #bottom left

#Change the tiles the block leaves behind
%patch $23AB $F7 $00 #left
%patch $2414 $F7 $00 #middle
%patch $2494 $F7 $00 #right

#Ship
%patch 0x01659B "Keen must rescue the"
%patch 0x0165B0 "  holidays! "
%patch 0x0165C6 " SAVE THEM! "


###
#Teh Yorp [holiday] messages
###

#Change tile yorp message head becomes
%patch $455E $F7 $00
#And Garg
%patch $4547 $F7 $00

#First Yorp message: [Level 2] -7 lines
%patch 0x015080 "The Easter Bunny    "
%patch 0x015096 "joyfully exclaims:  "
%patch 0x0150AC "                    "
%patch 0x0150C2 "Oh thankyou Keen!   "
%patch 0x0150D8 "Here, have an egg   "
%patch 0x0150EE "for rescuing me. I  "
%patch 0x015104 "am ever grateful!   "

#Second Yorp message [level 6] -7 lines
%patch 0x01511A "The Toothfairy is   "
%patch 0x015130 "Lindsey! She says:  "
%patch 0x015146 "                    "
%patch 0x01515C "Well, now you know  "
%patch 0x015172 "what I do for a day "
%patch 0x015188 "job. Have some choc "
%patch 0x01519E "money as a reward.  "

#Third Yorp message: [level 9] -7 lines
%patch 0x0151B4 "Santa Claus jollily "
%patch 0x0151CA "announces:          "
%patch 0x0151E0 "                    "
%patch 0x0151F6 "Well Mr Blaze, you  "
%patch 0x01520C "have been a good boy"
%patch 0x015222 "Have a candy cane as"
%patch 0x015238 "my personal thanks. "

#Fourth Yorp message: [Level 10] -7 lines
%patch 0x01524E "An evil voice moans:"
%patch 0x015264 "                    "
%patch 0x01527A "You again? You will "
%patch 0x015290 "perish in my domain "
%patch 0x0152A6 "you sniveling brat! "
%patch 0x0152BC "do not think you can"
%patch 0x0152D2 "stop me!            "

#Fifth Yorp Message: [level 12] -7 lines
%patch 0x015340 "A voice creaking    "
%patch 0x015356 "like an open coffin:"
%patch 0x01536C "                    "
%patch 0x015382 "I will rule ALL of the" #1 longer than usual!
%patch 0x015399 "holidays, and you   "
%patch 0x0153AF "will not stand in my"
%patch 0x0153C5 "way! BOO!           "

#Sixth Yorp message: [level 15] -6 lines
%patch 0x0153DB "A dark voice beckons"
%patch 0x0153F1 "                    "
%patch 0x015407 "I am halloween, I am"
%patch 0x01541D "fear, I am terror   "
%patch 0x015433 "and I will succeed! "
%patch 0x015449 "Prepare to die brat!"

#Garg message: [level 11] -4 lines
%patch 0x0152E8 "Haloween says:      "
%patch 0x0152FE "                    "
%patch 0x015314 "Heh... maybe we can "
%patch 0x01532A "talk this over...?  "

###
#Menu and text
###

#Menu text
%patch 0x015EF6 "Restore  Game"
%patch 0x015F12 "About Us..."
%patch 0x015F22 "The Keenest"
%patch 0x015F44 "Credits  "
%patch 0x015F32 "             "

#Make  Ordering info  have no effect.
%patch $95A3  $EB $AD



###
#Teh ending sequence; much shortened, but still complicated.
###

#Skip the flight to Earth sequence. [To be cont... shown on background of
#tile No 1] Also skips Mars map and text.
%patch $81A3 $02

#Set the window sizes
#Eighth textbox bottom
%patch $877C $18 $00
#Eighth Keens house textbox right side
%patch $8780 $1D $00
#Eighth Keens house textbox top
%patch $8784 $12 $00
#Eighth Keens house textbox left side
%patch $8788 $04 $00
#First Keens house textbox bottom
%patch $8546 $18 $00
#First Keens house textbox right side
%patch $854A $1D $00
#First Keens house textbox top
%patch $854E $12 $00
#Length textbox appears [AFTER text stops writing!]
%patch $857A $2C $01
#Second textbox bottom
%patch $85D5 $18 $00
#Second Keens house textbox right side
%patch $85D9 $1D $00
#Second Keens house textbox top
%patch $85DD $12 $00

#Now fiddle the misc stuff:
#Pause between exiting and ending sequence [teh black screen]
%patch $820D $2C $00
#Teh text appearance speed! [higher = slower ]
%patch $8173 $05 $00
#Stop 3rd textbox appearing
%patch $8635 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90
             $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90
             $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90
             $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90
             $90 $90
#Stop 4th textbox appearing
%patch $867B $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90
             $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90
             $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90
             $90 $90 $90
#Stop 5th textbox appearing
%patch $86AF $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90
             $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90
             $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90
             $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90
#Stop 6th textbox appearing
%patch $86EC $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90
             $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90
             $90 $90 $90 $90 $90 $90 $90
#Stop 7th textbox appearing
%patch $8714 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90
             $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90
             $90 $90 $90 $90 $90 $90 $90

#And teh text:
# First dialogue box at home
%patch 0x015CBD "Keen looks at the     "
%patch 0x015CD5 "crushed remains of"
%patch 0x015CE9 "Halloween.       "
#Second
%patch 0x015CFB "Does this mean Keen"
%patch 0x015D10 "is the new holiday?"
%patch 0x015D25 "Maybe...  "
#Eighth
%patch 0x015E07 "With the world saved "
%patch 0x015E1E "and candy aplenty, Keen"
%patch 0x015E37 "sets off for home. "
%patch 0x015E4C "At least he still got"
%patch 0x015E63 "some candy!   "
#Length textbox appears [AFTER text stops writing!]
%patch $88D3 $90 $00
#Puase between window going dark and lighting up
%patch $8762 $02 $00
#Puase between texbox dissapearing and window lighting up
%patch $873F $02 $00
#Puase between texbox dissapearing and window lighting up
%patch $8612 $02 $00
#Pause between window going dark and second textbox appearing
%patch $85CC $02 $00
#Pause between textbox dissapearing and window lighting up
%patch $8586 $02 $00
#Text
%patch $15E72 "     THE END!      "


#About ID...
%patch 0x015F80 "Bevolord Productions is a group of"
%patch 0x015FA8 "two software artists whose goal  "
%patch 0x015FD0 "is to produce quality Keen    "
%patch 0x015FF8 "mods just for you.  "
%patch 0x016020 "Benvolio has produced a number  "
%patch 0x016048 "of top notch mods solo, and has    "
%patch 0x016070 "made famous the large     "
%patch 0x016098 "level.                 "
%patch 0x0160C0 "Levellord doesn't so much mod"
%patch 0x0160E8 "as vandalize Keen games. She did "
%patch 0x016110 "some stuff too.          "

# STATUS WINDOW PATCH!!
# (Doesn't change anything, required for Door Handling fix)
# leaves 227 spare bytes at CS:10D1 
# leaves 164 spare bytes at DS:1E02 ($14E52) 

# Patch in the long-integer drawing function 
%patch $11B4                   $55 $89 $E5 $B8 $0A $00 $50 $B8 $90 $82 $50 $FF 
               $76 $06 $FF $76 $04 $E8 $03 $C2 $83 $C4 $08 $B8 $90 $82 $50 $E8 
               $A5 $C5 $44 $44 $8B $56 $08 $29 $C2 $89 $16 $82 $82 $8B $46 $0A 
               $A3 $F8 $82 $B8 $90 $82 $50 $E8 $E8 $50 $44 $44 $89 $EC $5D $C3 

# Patch in the name of the status dialog text file, you'll need to create a file with this name and put your status
# text in it or Keen will crash. An example status file can be found in this directory.
%patch $13084  "STATUS.CK1" $00 

# Patch in the code to draw the status text (coordinates are measure in characters--8 pixel blocks) 
%patch $0E6A                                           $B8 $00 $3D $BA $34 $00   # Show status window (0E6A) 
               $CD $21 $89 $C3 $BF $27 $00 $C6 $06 $9A $82 $00 $B9 $0A $00 $BA 
               $90 $82 $B4 $3F $CD $21 $53 $B8 $90 $82 $50 $E8 $2E $97 $44 $44 
               $5B $4F $75 $E8 $B4 $3E $CD $21 
                                               $8B $46 $FE $05 $01 $00 $50 $89   # Show score (0E98) 
               $F0 $05 $0A $00 $50 $FF $36 $CC $AA $FF $36 $CA $AA $E8 $04 $03 
               $83 $C4 $08 
                           $8B $46 $FE $05 $01 $00 $50 $89 $F0 $05 $1A $00 $50   # Show extra Keen score (0EB3) 
               $A1 $C4 $6E $8B $16 $C2 $6E $81 $C2 $20 $4E $15 $00 $00 $50 $52 
               $E8 $E1 $02 $83 $C4 $08 
                                       $31 $FF $3B $3E $C6 $AA $7D $29 $83 $FF   # Show Keens (0ED6) 
               $06 $7D $24 $B8 $7B $00 $50 $8B $46 $FE $05 $03 $00 $B1 $03 $D3 
               $E0 $90 $90 $50 $89 $F8 $D1 $E0 $05 $01 $00 $01 $F0 $50 $E8 $2C 
               $AC $83 $C4 $06 $47 $EB $D1 
%patch $0F07                               $B8 $41 $01 $83 $3E $94 $AA $00 $74   # Draw the joystick
               $03 $B8 $C0 $01 $50 $8B $46 $FE $05 $03 $00 $B1 $03 $D3 $E0 $05
               $04 $00 $50 $89 $F0 $05 $10 $00 $50 $E8 $0D $AA $83 $C4 $06
                                                                           $B8   # Draw the battery
               $42 $01 $83 $3E $9C $AA $00 $74 $03 $B8 $C1 $01 $50 $8B $46 $FE
               $05 $03 $00 $B1 $03 $D3 $E0 $05 $04 $00 $50 $89 $F0 $05 $13 $00
               $50 $E8 $E5 $A9 $83 $C4 $06
                                           $B8 $43 $01 $83 $3E $96 $AA $00 $74   # Draw the vacuum
               $03 $B8 $C2 $01 $50 $8B $46 $FE $05 $03 $00 $B1 $03 $D3 $E0 $05
               $04 $00 $50 $89 $F0 $05 $16 $00 $50 $E8 $BD $A9 $83 $C4 $06
                                                                           $B8   # Draw the whiskey
               $44 $01 $83 $3E $98 $AA $00 $74 $03 $B8 $C3 $01 $50 $8B $46 $FE
               $05 $03 $00 $B1 $03 $D3 $E0 $05 $04 $00 $50 $89 $F0 $05 $19 $00
               $50 $E8 $95 $A9 $83 $C4 $06
%patch $0FA7                               $B8 $9A $00 $83 $3E $9E $AA $00 $74   # Keycard A
               $03 $B8 $A8 $01 $50 $8B $46 $FE $05 $07 $00 $B1 $03 $D3 $E0 $05
               $04 $00 $50 $89 $F0 $05 $13 $00 $50 $E8 $6D $A9 $83 $C4 $06
                                                                           $B8   # Keycard B
               $9A $00 $83 $3E $A0 $AA $00 $74 $03 $B8 $A9 $01 $50 $8B $46 $FE
               $05 $07 $00 $B1 $03 $D3 $E0 $05 $04 $00 $50 $89 $F0 $05 $17 $00
               $50 $E8 $45 $A9 $83 $C4 $06
                                           $B8 $9A $00 $83 $3E $A2 $AA $00 $74   # Keycard C
               $03 $B8 $AA $01 $50 $8B $46 $FE $05 $09 $00 $B1 $03 $D3 $E0 $05
               $04 $00 $50 $89 $F0 $05 $13 $00 $50 $E8 $1D $A9 $83 $C4 $06
                                                                           $B8   # Keycard D
               $9A $00 $83 $3E $A4 $AA $00 $74 $03 $B8 $AB $01 $50 $8B $46 $FE
               $05 $09 $00 $B1 $03 $D3 $E0 $05 $04 $00 $50 $89 $F0 $05 $17 $00
               $50 $E8 $F5 $A8 $83 $C4 $06
%patch $1047                               $B8 $9A $00 $83 $3E $9A $AA $00 $74   # Pogo stick
               $03 $B8 $9F $01 $50 $8B $46 $FE $05 $08 $00 $B1 $03 $D3 $E0 $05
               $04 $00 $50 $89 $F0 $05 $0B $00 $50 $E8 $CD $A8 $83 $C4 $06
                                                                           $8B   # Draw ammo
               $46 $FE $05 $0B $00 $50 $89 $F0 $05 $05 $00 $50 $31 $C0 $50 $FF
               $36 $C8 $AA $E8 $2E $01 $83 $C4 $08
                                                   $B8 $9E $01 $50 $8B $46 $FE   # Draw raygun (replace first two bytes with $EB $1C if you don't
               $05 $07 $00 $B1 $03 $D3 $E0 $05 $04 $00 $50 $89 $F0 $05 $03 $00   # want to draw the raygun on your status screen)
               $50 $E8 $95 $A8 $83 $C4 $06

                                           $E8 $90 $4B $31 $C0 $50 $E8 $1E $AD   # Wait for a key, then return 
               $44 $44 $E8 $81 $A6 $E8 $D1 $F1 $E8 $CE $F1 $E8 $7C $4B $8B $46 
               $FC $8B $56 $FA $89 $16 $35 $51 $A3 $37 $51 $5F $5E $89 $EC $5D 
               $C3

#Door Handling Patch!!
#Needs the STATUS WINDOW patch to work!
# Make the door act like a wall when moving right 
%patch $2F31  $E8 $9D $E1 $90 $90 
# Make the door act like a wall when moving left 
%patch $2FE6  $E8 $0B $E1 $90 $90 
# Here's where the real work is done 
%patch $10D1  $81 $3E $54 $82 $C4 $45 $75 $15 
              $8B $87 $6E $05 $48 $48 $3D $04 
              $00 $73 $0A $89 $C3 $D1 $E3 $83 
              $BF $9E $AA $01 $C3 $83 $BF $86 
              $18 $00 $C3 $81 $3E $54 $82 $C4 
              $45 $75 $15 $8B $87 $6E $05 $48 
              $48 $3D $04 $00 $73 $0A $89 $C3 
              $D1 $E3 $83 $BF $9E $AA $01 $C3 
              $83 $BF $FA $0E $00 $C3 
# Stop the door bouncing 
%patch $43A4  $E9 $D1 $01 

%end